
function [alpha elbow] = cssvm_path_gamma_init(bcs_lambda, bcs_alpha, bcs_elbow, lambda)

if length(bcs_lambda)>1
    if (lambda > bcs_lambda(1))
        alpha = bcs_alpha(:,1);
        elbow = [];
    elseif (lambda < bcs_lambda(end))
        alpha = bcs_alpha(:,end);
        elbow = bcs_elbow{end};
    else
        for ii=1:length(bcs_lambda)-1
            if lambda>=bcs_lambda(ii+1)
                alpha = interp1(bcs_lambda(ii:ii+1), bcs_alpha(:,ii:ii+1)', lambda)';
                elbow = bcs_elbow{ii};
                break
            end
        end
    end
else
    alpha = bcs_alpha;
    elbow = bcs_elbow{1};
end
