% Cost Sensitive Support Vector Machine
% CS-SVM solution path demo
% 
% Gyemin Lee, University of Michigan
% 2009.5.17
% 
clear
home

datastr = 'banana';
dataidx = '1';

% training data set
[xt yt] = util_rdbenchdata(datastr, dataidx, 'train');

% kenel bandwidth
cs_sigma = 0.5;

% find CS-SVM solution path over /lambda with fixed \gamma = N_-/N
[csb_lambda, csb_alpha, csb_elbow] = cssvm_path_lambda_wb(xt,yt,@knl_radial,cs_sigma);

% regularization parameter \lambda
cs_lambda = max(csb_lambda)*0.7;

% find CS-SVM solution path over \gamma with fixed \lambda
[cs_alpha_init, cs_elbow_init] = cssvm_path_gamma_init(csb_lambda,csb_alpha,csb_elbow,cs_lambda);
[cs_gamma, cs_alpha] = cssvm_path_gamma_wb(xt,yt,@knl_radial,cs_sigma,cs_lambda,cs_alpha_init,cs_elbow_init);


% plot decision boundaries

% solution path over \lambda
figure(2)
plot_cssvm(xt, yt, @knl_radial, cs_sigma, csb_lambda, csb_alpha);

% solution path over \gamma \in [0,1]
figure(3)
plot_cssvm(xt, yt, @knl_radial, cs_sigma, cs_lambda, cs_alpha);

